**Table of Contents** 

## [The Helpers](#the-helpers)

### [Path](#path)
* [{{relative}}](#relative)
* [{{extname}}](#extname)
* [{{dirname}}](#dirname)

### [URL](#url)
* [{{url_resolve}}](#url_resolve)
* [{{url_parse}}](#url_parse)

### [File](#file)
* [{{include}}](#include)
* [{{glob}}](#glob)
* [{{copy}}](#copy)

### [Strings](#strings)
* [{{occurrences}}](#occurrences)
* [{{hyphenate}}](#hyphenate)
* [{{dashify}}](#dashify)
* [{{lowercase}}](#lowercase)
* [{{uppercase}}](#uppercase)
* [{{capitalizeFirst}}](#capitalizefirst)
* [{{capitalizeEach}}](#capitalizeeach)
* [{{titleize}}](#titleize)
* [{{sentence}}](#sentence)
* [{{reverse}}](#reverse)
* [{{truncate}}](#truncate)
* [{{center}}](#center)
* [{{formatPhoneNumber}}](#formatphonenumber)

### [HTML](#html)
* [{{gist}}](#gist)
* [{{blockquote}}](#blockquote)
* [{{timeline}}](#timeline)
* [{{exticon}}](#exticon)
* [{{ul}}](#ul)
* [{{ol}}](#ol)
* [{{br}}](#br)

### [Collections](#collections)
* [{{first}}](#first)
* [{{withFirst}}](#withfirst)
* [{{last}}](#last)
* [{{withLast}}](#withlast)
* [{{after}}](#after)
* [{{withAfter}}](#withafter)
* [{{before}}](#before)
* [{{withBefore}}](#withbefore)
* [{{join}}](#join)
* [{{sort}}](#sort)
* [{{withSort}}](#withsort)
* [{{length}}](#length)
* [{{lengthEqual}}](#lengthequal)
* [{{empty}}](#empty)
* [{{any}}](#any)
* [{{inArray}}](#inarray)
* [{{eachIndex}}](#eachindex)
* [{{eachProperty}}](#eachproperty)

### [Math](#math)
* [{{add}}](#add)
* [{{subtract}}](#subtract)
* [{{divide}}](#divide)
* [{{multiply}}](#multiply)
* [{{floor}}](#floor)
* [{{ceil}}](#ceil)
* [{{round}}](#round)
* [{{sum}}](#sum)

### [Numbers](#numbers)
* [{{toFixed}}](#tofixed)
* [{{toPrecision}}](#toprecision)
* [{{toExponential}}](#toexponential)
* [{{toInt}}](#toint)
* [{{toFloat}}](#tofloat)
* [{{toAbbr}}](#toabbr)
* [{{addCommas}}](#addcommas)

### [Comparisons: Equal](#comparisons-equal)
* [{{is}}](#is)
* [{{if_eq}}](#if_eq)
* [{{isnt}}](#isnt)
* [{{or}}](#or)
* [{{and}}](#and)
* [{{unless_eq}}](#unless_eq)

### [Comparisons: Greater Than](#comparisons-greater-than)
* [{{if_gt}}](#if_gt)
* [{{gt}}](#gt)
* [{{unless_gt}}](#unless_gt)
* [{{if_gteq}}](#if_gteq)
* [{{gte}}](#gte)
* [{{unless_gteq}}](#unless_gteq)

### [Comparisons: Less Than](#comparisons-less-than)
* [{{lt}}](#lt)
* [{{lte}}](#lte)
* [{{unless_lt}}](#unless_lt)
* [{{unless_lteq}}](#unless_lteq)

### [Dates](#dates)
* [{{formatDate}}](#formatdate)
* [{{now}}](#now)
* [{{timeago}}](#timeago)

### [Inflections](#inflections)
* [{{inflect}}](#inflect)
* [{{ordinalize}}](#ordinalize)

### [Logging](#logging)
* [{{log}}](#log)
* [{{debug}}](#debug)
* [{{expandJSON}}](#expandjson)
* [{{expandYAML}}](#expandyaml)

### [Special](#special)
* [{{embed}}](#embed)

#### [README Helpers](#readme-helpers)
* [{{authors}}](#authors)

#### [Travis CI](#travis-ci)
* [{{travis}}](#travis)
* [{{travis-badge}}](#travis-badge)
* [{{changelog}}](#changelog)
* [{{jsfiddle}}](#jsfiddle)
  - [Embedding the fiddle](#embedding-the-fiddle)
  - [Examples](#examples)
  - [Optional tabs](#optional-tabs)
* [Changing skins](#changing-skins)

### [Miscellaneous](#miscellaneous)
* [{{default}}](#default)
* [{{noop}}](#noop)
